Retrieve a training event with NGC group data

View as Markdown

Obtain information about a specific training event.

Required roles (all): air_instructor, air_org_admin

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this training.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
creatorstringRead-only
The email of the client that created the training.
orgstringformat: "uuid"
The organization associated with this training
training_simulationstringformat: "uuid"
The template simulation used to create new simulations for the attendees of the training.
training_simulation_namestringRead-only
The name of the training simulation.
training_simulation_statestringRead-only
The state of the training simulation.
checkpoint_namestring or nullRead-only
The name of the checkpoint used to create the training simulation.
parent_simulation_namestring or nullRead-only
The name of the parent simulation that was cloned to create the training simulation. This value is captured at clone time and does not change if the original simulation is later renamed.
event_timedatetime
When the training event will occur.
namestring<=255 characters

The name of the training event. This will also be the name of the NGC external user group, and thus must be kebab-case.

display_namestringRead-only<=128 characters

The display name of the training event. This is a more human-readable display name for the training which does not need to match the name of the NGC external user group.

ngc_group_idstring<=255 characters
The NGC external user group ID associated with this training.
attendee_detailslist of objectsRead-only
Onboarding and access details for each attendee.
sim_start_timedatetime
When Air should start all attendee simulations for the training.
sim_end_timedatetime
When Air should stop and destroy all attendee simulations of the training.
attendeesanyOptional
List of validated attendee email addresses
workbenches_createdbooleanOptional
Whether the workbenches have been created for this training.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error